%% Master thesis 2009 | Plot
% -------------------------------------------------------------------------
% > Closed-loop Experiments
% -------------------------------------------------------------------------

%clc
%clear all
clf reset

%close all

temp.minx = 100;
temp.maxx = 200;
temp.th = 0;

figure(1)
subplot(2,1,1)
plot(simout_time-temp.th,simout_psi_d.signals.values,'k')
hold on
plot(simout_time-temp.th,simout_psi.signals.values,'--b')
grid,ylabel('Yaw angle (deg)'),xlabel('time (s)')
axis([temp.minx temp.maxx 0 60])

subplot(2,1,2)
plot(simout_time-temp.th,simout_psi_d.signals.values-simout_psi.signals.values,'r')
grid,ylabel('Error for yaw angle (deg)'),xlabel('time (s)')%,legend('reference','heading','(-) rudder')
axis([temp.minx temp.maxx -4 4])

%subplot(3,1,3)
%plot(simout_time-temp.th,simout_r_d.signals.values,'k')
%hold on
%plot(simout_time-temp.th,simout_r.signals.values,'--b')
%grid,ylabel('Yaw rate (deg/s)'),xlabel('time (s)')
%axis([temp.minx temp.maxx -1 5])

%subplot(3,1,3)
%plot(simout_time-temp.th,simout_rudder_c.signals.values,'k')
%hold on
%plot(simout_time-temp.th,simout_rudder.signals.values,'--b')
%plot(simout_time-temp.th,simout_psi_d.signals.values-simout_psi.signals.values,'--r')
%grid,ylabel('Rudder angle (deg)'),xlabel('time (s)')%,legend('reference','heading','(-) rudder')
%axis([temp.minx temp.maxx -10 10])

%axis([temp.minx temp.maxx -12 12])
%axis([temp.minx temp.maxx -25 25])


%figure(2)
%subplot(2,1,1)
%plot(simout_r.time-temp.th,simout_r.signals.values,'b','LineWidth',1)
%grid,ylabel('Yaw rate (deg/s)')
%axis([temp.minx temp.maxx -0.5 0.5])
%axis([temp.minx temp.maxx -7 7])
%axis([temp.minx temp.maxx -7 7])

%axis([temp.minx temp.maxx -0.5 0.5])
%axis([temp.minx temp.maxx -1.6 1.6])

%subplot(2,1,2)
%plot(simout_U.time-temp.th,simout_U.signals.values,'b','LineWidth',1)
%grid,ylabel('Velocity (m/s)'),xlabel('time (s)')
%axis([temp.minx temp.maxx 1.7 1.8])
%axis([temp.minx temp.maxx 1.2 1.8])
%axis([temp.minx temp.maxx 1.2 1.8])

%axis([temp.minx temp.maxx 1.22 1.24])
%axis([temp.minx temp.maxx 0.67 0.69])


simout_delta_psi_sum.signals.values(end,1)