%% Master thesis 2009 | Plot
% -------------------------------------------------------------------------
% > Suggested Variable Step Maneuver
% -------------------------------------------------------------------------

clc
clear all
clf reset

load suggested_500

%close all

temp.minx = 100;
%temp.maxx = 1300;
temp.maxx = 1800;
temp.th = -5;

%figure(3)
%plot(simout_psi.time-temp.th,simout_psi.signals.values,'k','LineWidth',1)
%hold on
%plot(simout_rudder_c.time-temp.th,-simout_rudder_c.signals.values,'--b')

%grid,ylabel('Rudder/yaw angle (deg)'),xlabel('time (s)')
%axis([temp.minx temp.maxx -300 50])


figure(2)
subplot(2,1,1)
plot(simout_r.time-temp.th,simout_r.signals.values,'b','LineWidth',1)
grid,ylabel('Yaw rate (deg/s)')
axis([temp.minx temp.maxx -10 10])
%axis([temp.minx temp.maxx -1.5 1.5])
%axis([temp.minx temp.maxx -0.15 0.15])

subplot(2,1,2)
plot(simout_U.time-temp.th,simout_U.signals.values,'b','LineWidth',1)
grid,ylabel('Velocity (m/s)'),xlabel('time (s)')
axis([temp.minx temp.maxx 0.8 2])
%axis([temp.minx temp.maxx 1.05 1.25])
%axis([temp.minx temp.maxx 0.67 0.7])

figure(1)
plot(simout_EAST.signals.values,simout_NORTH.signals.values,'b','LineWidth',1)
%hold on
%plot(simout_r_est_circle.time,simout_r_est_circle.signals.values,'--r')
grid,ylabel('Relative North position (m)'),xlabel('Relative East position (m)')
axis([-400 1200 200 1000])
%axis([-300 1000 200 1000])
%axis([-50 30 100 600])



figure(3)
subplot(2,1,1)
plot(simout_rudder_c.time-temp.th,simout_rudder_c.signals.values,'k','LineWidth',1)
grid,ylabel('Rudder/Rudder_c'),xlabel('time (s)')
axis([temp.minx temp.maxx -50 50])
hold on
plot(simout_rudder.time-temp.th,simout_rudder.signals.values,'--b','LineWidth',1)

subplot(2,1,2)
plot(simout_r.time-temp.th,simout_r.signals.values,'b','LineWidth',1)
grid,ylabel('Yaw rate (deg/s)')
axis([temp.minx temp.maxx -10 10])




figure(4)
subplot(2,1,2)
plot(simout_rudder_c.time-temp.th,simout_rudder_c.signals.values,'k','LineWidth',1)
grid,ylabel('Rudder/rudder_c angle (deg)'),xlabel('time (s)')
axis([temp.minx temp.maxx -50 50])
hold on
plot(simout_rudder.time-temp.th,simout_rudder.signals.values,'--b','LineWidth',1)

subplot(2,1,1)
plot(simout_EAST.signals.values,simout_NORTH.signals.values,'b','LineWidth',1)
grid,ylabel('Relative North position (m)'),xlabel('Relative East position (m)')
axis([-400 1200 200 1000])
