%% Master thesis 2009 | Plot
% -------------------------------------------------------------------------
% > Zig-zag maneuver
% -------------------------------------------------------------------------

clc
clear all
clf reset

load zigzag_40deg_200

%close all

temp.minx = 0;
%temp.maxx = 120;
temp.maxx = 500;
temp.th = 100;

figure(1)
plot(simout_psi.time-temp.th,simout_psi.signals.values,'b','LineWidth',1)
hold on
plot(simout_rudder_c.time-temp.th,-simout_rudder_c.signals.values,'--k')

grid,ylabel('Rudder/yaw angle (deg)'),xlabel('time (s)')
%axis([temp.minx temp.maxx -12 12])
%axis([temp.minx temp.maxx -25 25])
axis([temp.minx temp.maxx -60 60])

figure(2)
subplot(2,1,1)
plot(simout_r.time-temp.th,simout_r.signals.values,'b','LineWidth',1)
grid,ylabel('Yaw rate (deg/s)')
%axis([temp.minx temp.maxx -0.5 0.5])
%axis([temp.minx temp.maxx -7 7])
%axis([temp.minx temp.maxx -7 7])

%axis([temp.minx temp.maxx -0.5 0.5])
axis([temp.minx temp.maxx -1.6 1.6])

subplot(2,1,2)
plot(simout_U.time-temp.th,simout_U.signals.values,'b','LineWidth',1)
grid,ylabel('Velocity (m/s)'),xlabel('time (s)')
%axis([temp.minx temp.maxx 1.7 1.8])
%axis([temp.minx temp.maxx 1.2 1.8])
%axis([temp.minx temp.maxx 1.2 1.8])

%axis([temp.minx temp.maxx 1.22 1.24])
axis([temp.minx temp.maxx 0.67 0.69])