%% Master thesis 2009 | Plot
% -------------------------------------------------------------------------
% > Turning Circle
% -------------------------------------------------------------------------

clc
clear all
clf reset

load circle_10deg_50

%close all

temp.minx = 0;
temp.maxx = 120/4;
temp.th = 100;
temp.NED = 3700;

figure(1)
plot(simout_EAST.signals.values(1:temp.NED),simout_NORTH.signals.values(1:temp.NED),'b','LineWidth',1)
%hold on
%plot(simout_r_est_circle.time,simout_r_est_circle.signals.values,'--r')

grid,ylabel('Relative North position (m)'),xlabel('Relative East position (m)')
%axis([-70 260 50 260])
%axis([-35 120 110 205])
%axis([-12 40 150 180])

%axis([-190 740 -200 400])
%axis([-100 400 -40 250])
%axis([-50 170 40 170])

axis([-1000 3500 -1300 1400])
%axis([-400 1700 -620 700])
%axis([-200 800 -280 370])

figure(2)
subplot(2,1,1)
plot(simout_r.time-temp.th,simout_r.signals.values,'b','LineWidth',1)
grid,ylabel('Yaw rate (deg/s)')
axis([temp.minx temp.maxx 0 0.1])

subplot(2,1,2)
plot(simout_U.time-temp.th,simout_U.signals.values,'b','LineWidth',1)
grid,ylabel('Velocity (m/s)'),xlabel('time (s)')
axis([temp.minx temp.maxx 0.6 0.8])


