function [dx, y] = model_nomoto(t, x, u_, K, T, varargin)
% -------------------------------------------------------------------------
% > IDNLGREY Model File
% -------------------------------------------------------------------------
% > The autopilot model of Nomoto
% -------------------------------------------------------------------------

N = u_(1); %rudder input

y = x(1); %output

dx = [(K/T)*N-(1/T)*x(1)]; %state equation